/*
 * Weather Source Astronomy API
 * Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.client.model.MoonPhase;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
import org.threeten.bp.LocalDate;
import org.threeten.bp.OffsetDateTime;
/**
 * A daily astronomy object.
 */
@Schema(description = "A daily astronomy object.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:28:56.043Z[GMT]")
public class AstronomyDayObj {
  @SerializedName("date")
  private LocalDate date = null;

  @SerializedName("sunDistance")
  private Float sunDistance = null;

  @SerializedName("sunRadius")
  private Float sunRadius = null;

  @SerializedName("sunTransit")
  private OffsetDateTime sunTransit = null;

  @SerializedName("sunrise")
  private OffsetDateTime sunrise = null;

  @SerializedName("sunset")
  private OffsetDateTime sunset = null;

  @SerializedName("civilRise")
  private OffsetDateTime civilRise = null;

  @SerializedName("civilSet")
  private OffsetDateTime civilSet = null;

  @SerializedName("nauticalRise")
  private OffsetDateTime nauticalRise = null;

  @SerializedName("nauticalSet")
  private OffsetDateTime nauticalSet = null;

  @SerializedName("astroRise")
  private OffsetDateTime astroRise = null;

  @SerializedName("astroSet")
  private OffsetDateTime astroSet = null;

  @SerializedName("moonDistance")
  private Float moonDistance = null;

  @SerializedName("moonRadius")
  private Float moonRadius = null;

  @SerializedName("moonrise")
  private OffsetDateTime moonrise = null;

  @SerializedName("moonset")
  private OffsetDateTime moonset = null;

  @SerializedName("moonPhase")
  private MoonPhase moonPhase = null;

  @SerializedName("moonIllum")
  private Float moonIllum = null;

  @SerializedName("moonAge")
  private Float moonAge = null;

  public AstronomyDayObj date(LocalDate date) {
    this.date = date;
    return this;
  }

   /**
   * Get date
   * @return date
  **/
  @Schema(required = true, description = "")
  public LocalDate getDate() {
    return date;
  }

  public void setDate(LocalDate date) {
    this.date = date;
  }

  public AstronomyDayObj sunDistance(Float sunDistance) {
    this.sunDistance = sunDistance;
    return this;
  }

   /**
   * Get sunDistance
   * @return sunDistance
  **/
  @Schema(description = "")
  public Float getSunDistance() {
    return sunDistance;
  }

  public void setSunDistance(Float sunDistance) {
    this.sunDistance = sunDistance;
  }

  public AstronomyDayObj sunRadius(Float sunRadius) {
    this.sunRadius = sunRadius;
    return this;
  }

   /**
   * Get sunRadius
   * @return sunRadius
  **/
  @Schema(description = "")
  public Float getSunRadius() {
    return sunRadius;
  }

  public void setSunRadius(Float sunRadius) {
    this.sunRadius = sunRadius;
  }

  public AstronomyDayObj sunTransit(OffsetDateTime sunTransit) {
    this.sunTransit = sunTransit;
    return this;
  }

   /**
   * Get sunTransit
   * @return sunTransit
  **/
  @Schema(description = "")
  public OffsetDateTime getSunTransit() {
    return sunTransit;
  }

  public void setSunTransit(OffsetDateTime sunTransit) {
    this.sunTransit = sunTransit;
  }

  public AstronomyDayObj sunrise(OffsetDateTime sunrise) {
    this.sunrise = sunrise;
    return this;
  }

   /**
   * Get sunrise
   * @return sunrise
  **/
  @Schema(description = "")
  public OffsetDateTime getSunrise() {
    return sunrise;
  }

  public void setSunrise(OffsetDateTime sunrise) {
    this.sunrise = sunrise;
  }

  public AstronomyDayObj sunset(OffsetDateTime sunset) {
    this.sunset = sunset;
    return this;
  }

   /**
   * Get sunset
   * @return sunset
  **/
  @Schema(description = "")
  public OffsetDateTime getSunset() {
    return sunset;
  }

  public void setSunset(OffsetDateTime sunset) {
    this.sunset = sunset;
  }

  public AstronomyDayObj civilRise(OffsetDateTime civilRise) {
    this.civilRise = civilRise;
    return this;
  }

   /**
   * Get civilRise
   * @return civilRise
  **/
  @Schema(description = "")
  public OffsetDateTime getCivilRise() {
    return civilRise;
  }

  public void setCivilRise(OffsetDateTime civilRise) {
    this.civilRise = civilRise;
  }

  public AstronomyDayObj civilSet(OffsetDateTime civilSet) {
    this.civilSet = civilSet;
    return this;
  }

   /**
   * Get civilSet
   * @return civilSet
  **/
  @Schema(description = "")
  public OffsetDateTime getCivilSet() {
    return civilSet;
  }

  public void setCivilSet(OffsetDateTime civilSet) {
    this.civilSet = civilSet;
  }

  public AstronomyDayObj nauticalRise(OffsetDateTime nauticalRise) {
    this.nauticalRise = nauticalRise;
    return this;
  }

   /**
   * Get nauticalRise
   * @return nauticalRise
  **/
  @Schema(description = "")
  public OffsetDateTime getNauticalRise() {
    return nauticalRise;
  }

  public void setNauticalRise(OffsetDateTime nauticalRise) {
    this.nauticalRise = nauticalRise;
  }

  public AstronomyDayObj nauticalSet(OffsetDateTime nauticalSet) {
    this.nauticalSet = nauticalSet;
    return this;
  }

   /**
   * Get nauticalSet
   * @return nauticalSet
  **/
  @Schema(description = "")
  public OffsetDateTime getNauticalSet() {
    return nauticalSet;
  }

  public void setNauticalSet(OffsetDateTime nauticalSet) {
    this.nauticalSet = nauticalSet;
  }

  public AstronomyDayObj astroRise(OffsetDateTime astroRise) {
    this.astroRise = astroRise;
    return this;
  }

   /**
   * Get astroRise
   * @return astroRise
  **/
  @Schema(description = "")
  public OffsetDateTime getAstroRise() {
    return astroRise;
  }

  public void setAstroRise(OffsetDateTime astroRise) {
    this.astroRise = astroRise;
  }

  public AstronomyDayObj astroSet(OffsetDateTime astroSet) {
    this.astroSet = astroSet;
    return this;
  }

   /**
   * Get astroSet
   * @return astroSet
  **/
  @Schema(description = "")
  public OffsetDateTime getAstroSet() {
    return astroSet;
  }

  public void setAstroSet(OffsetDateTime astroSet) {
    this.astroSet = astroSet;
  }

  public AstronomyDayObj moonDistance(Float moonDistance) {
    this.moonDistance = moonDistance;
    return this;
  }

   /**
   * Get moonDistance
   * @return moonDistance
  **/
  @Schema(description = "")
  public Float getMoonDistance() {
    return moonDistance;
  }

  public void setMoonDistance(Float moonDistance) {
    this.moonDistance = moonDistance;
  }

  public AstronomyDayObj moonRadius(Float moonRadius) {
    this.moonRadius = moonRadius;
    return this;
  }

   /**
   * Get moonRadius
   * @return moonRadius
  **/
  @Schema(description = "")
  public Float getMoonRadius() {
    return moonRadius;
  }

  public void setMoonRadius(Float moonRadius) {
    this.moonRadius = moonRadius;
  }

  public AstronomyDayObj moonrise(OffsetDateTime moonrise) {
    this.moonrise = moonrise;
    return this;
  }

   /**
   * Get moonrise
   * @return moonrise
  **/
  @Schema(description = "")
  public OffsetDateTime getMoonrise() {
    return moonrise;
  }

  public void setMoonrise(OffsetDateTime moonrise) {
    this.moonrise = moonrise;
  }

  public AstronomyDayObj moonset(OffsetDateTime moonset) {
    this.moonset = moonset;
    return this;
  }

   /**
   * Get moonset
   * @return moonset
  **/
  @Schema(description = "")
  public OffsetDateTime getMoonset() {
    return moonset;
  }

  public void setMoonset(OffsetDateTime moonset) {
    this.moonset = moonset;
  }

  public AstronomyDayObj moonPhase(MoonPhase moonPhase) {
    this.moonPhase = moonPhase;
    return this;
  }

   /**
   * Get moonPhase
   * @return moonPhase
  **/
  @Schema(description = "")
  public MoonPhase getMoonPhase() {
    return moonPhase;
  }

  public void setMoonPhase(MoonPhase moonPhase) {
    this.moonPhase = moonPhase;
  }

  public AstronomyDayObj moonIllum(Float moonIllum) {
    this.moonIllum = moonIllum;
    return this;
  }

   /**
   * Get moonIllum
   * @return moonIllum
  **/
  @Schema(description = "")
  public Float getMoonIllum() {
    return moonIllum;
  }

  public void setMoonIllum(Float moonIllum) {
    this.moonIllum = moonIllum;
  }

  public AstronomyDayObj moonAge(Float moonAge) {
    this.moonAge = moonAge;
    return this;
  }

   /**
   * Get moonAge
   * @return moonAge
  **/
  @Schema(description = "")
  public Float getMoonAge() {
    return moonAge;
  }

  public void setMoonAge(Float moonAge) {
    this.moonAge = moonAge;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AstronomyDayObj astronomyDayObj = (AstronomyDayObj) o;
    return Objects.equals(this.date, astronomyDayObj.date) &&
        Objects.equals(this.sunDistance, astronomyDayObj.sunDistance) &&
        Objects.equals(this.sunRadius, astronomyDayObj.sunRadius) &&
        Objects.equals(this.sunTransit, astronomyDayObj.sunTransit) &&
        Objects.equals(this.sunrise, astronomyDayObj.sunrise) &&
        Objects.equals(this.sunset, astronomyDayObj.sunset) &&
        Objects.equals(this.civilRise, astronomyDayObj.civilRise) &&
        Objects.equals(this.civilSet, astronomyDayObj.civilSet) &&
        Objects.equals(this.nauticalRise, astronomyDayObj.nauticalRise) &&
        Objects.equals(this.nauticalSet, astronomyDayObj.nauticalSet) &&
        Objects.equals(this.astroRise, astronomyDayObj.astroRise) &&
        Objects.equals(this.astroSet, astronomyDayObj.astroSet) &&
        Objects.equals(this.moonDistance, astronomyDayObj.moonDistance) &&
        Objects.equals(this.moonRadius, astronomyDayObj.moonRadius) &&
        Objects.equals(this.moonrise, astronomyDayObj.moonrise) &&
        Objects.equals(this.moonset, astronomyDayObj.moonset) &&
        Objects.equals(this.moonPhase, astronomyDayObj.moonPhase) &&
        Objects.equals(this.moonIllum, astronomyDayObj.moonIllum) &&
        Objects.equals(this.moonAge, astronomyDayObj.moonAge);
  }

  @Override
  public int hashCode() {
    return Objects.hash(date, sunDistance, sunRadius, sunTransit, sunrise, sunset, civilRise, civilSet, nauticalRise, nauticalSet, astroRise, astroSet, moonDistance, moonRadius, moonrise, moonset, moonPhase, moonIllum, moonAge);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AstronomyDayObj {\n");
    
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    sunDistance: ").append(toIndentedString(sunDistance)).append("\n");
    sb.append("    sunRadius: ").append(toIndentedString(sunRadius)).append("\n");
    sb.append("    sunTransit: ").append(toIndentedString(sunTransit)).append("\n");
    sb.append("    sunrise: ").append(toIndentedString(sunrise)).append("\n");
    sb.append("    sunset: ").append(toIndentedString(sunset)).append("\n");
    sb.append("    civilRise: ").append(toIndentedString(civilRise)).append("\n");
    sb.append("    civilSet: ").append(toIndentedString(civilSet)).append("\n");
    sb.append("    nauticalRise: ").append(toIndentedString(nauticalRise)).append("\n");
    sb.append("    nauticalSet: ").append(toIndentedString(nauticalSet)).append("\n");
    sb.append("    astroRise: ").append(toIndentedString(astroRise)).append("\n");
    sb.append("    astroSet: ").append(toIndentedString(astroSet)).append("\n");
    sb.append("    moonDistance: ").append(toIndentedString(moonDistance)).append("\n");
    sb.append("    moonRadius: ").append(toIndentedString(moonRadius)).append("\n");
    sb.append("    moonrise: ").append(toIndentedString(moonrise)).append("\n");
    sb.append("    moonset: ").append(toIndentedString(moonset)).append("\n");
    sb.append("    moonPhase: ").append(toIndentedString(moonPhase)).append("\n");
    sb.append("    moonIllum: ").append(toIndentedString(moonIllum)).append("\n");
    sb.append("    moonAge: ").append(toIndentedString(moonAge)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
