/*
 * Weather Source Astronomy API
 * Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.client.model.MoonPhase;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
import org.threeten.bp.OffsetDateTime;
/**
 * An hourly astronomy object.
 */
@Schema(description = "An hourly astronomy object.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:28:56.043Z[GMT]")
public class AstronomyHourObj {
  @SerializedName("timestamp")
  private OffsetDateTime timestamp = null;

  @SerializedName("sunDistance")
  private Float sunDistance = null;

  @SerializedName("sunRadius")
  private Float sunRadius = null;

  @SerializedName("sunAzimuth")
  private Float sunAzimuth = null;

  @SerializedName("SunElevation")
  private Float sunElevation = null;

  @SerializedName("moonDistance")
  private Float moonDistance = null;

  @SerializedName("moonRadius")
  private Float moonRadius = null;

  @SerializedName("moonAzimuth")
  private Float moonAzimuth = null;

  @SerializedName("moonElevation")
  private Float moonElevation = null;

  @SerializedName("moonPhase")
  private MoonPhase moonPhase = null;

  @SerializedName("moonIllum")
  private Float moonIllum = null;

  @SerializedName("moonAge")
  private Float moonAge = null;

  public AstronomyHourObj timestamp(OffsetDateTime timestamp) {
    this.timestamp = timestamp;
    return this;
  }

   /**
   * Get timestamp
   * @return timestamp
  **/
  @Schema(required = true, description = "")
  public OffsetDateTime getTimestamp() {
    return timestamp;
  }

  public void setTimestamp(OffsetDateTime timestamp) {
    this.timestamp = timestamp;
  }

  public AstronomyHourObj sunDistance(Float sunDistance) {
    this.sunDistance = sunDistance;
    return this;
  }

   /**
   * Get sunDistance
   * @return sunDistance
  **/
  @Schema(description = "")
  public Float getSunDistance() {
    return sunDistance;
  }

  public void setSunDistance(Float sunDistance) {
    this.sunDistance = sunDistance;
  }

  public AstronomyHourObj sunRadius(Float sunRadius) {
    this.sunRadius = sunRadius;
    return this;
  }

   /**
   * Get sunRadius
   * @return sunRadius
  **/
  @Schema(description = "")
  public Float getSunRadius() {
    return sunRadius;
  }

  public void setSunRadius(Float sunRadius) {
    this.sunRadius = sunRadius;
  }

  public AstronomyHourObj sunAzimuth(Float sunAzimuth) {
    this.sunAzimuth = sunAzimuth;
    return this;
  }

   /**
   * Get sunAzimuth
   * @return sunAzimuth
  **/
  @Schema(description = "")
  public Float getSunAzimuth() {
    return sunAzimuth;
  }

  public void setSunAzimuth(Float sunAzimuth) {
    this.sunAzimuth = sunAzimuth;
  }

  public AstronomyHourObj sunElevation(Float sunElevation) {
    this.sunElevation = sunElevation;
    return this;
  }

   /**
   * Get sunElevation
   * @return sunElevation
  **/
  @Schema(description = "")
  public Float getSunElevation() {
    return sunElevation;
  }

  public void setSunElevation(Float sunElevation) {
    this.sunElevation = sunElevation;
  }

  public AstronomyHourObj moonDistance(Float moonDistance) {
    this.moonDistance = moonDistance;
    return this;
  }

   /**
   * Get moonDistance
   * @return moonDistance
  **/
  @Schema(description = "")
  public Float getMoonDistance() {
    return moonDistance;
  }

  public void setMoonDistance(Float moonDistance) {
    this.moonDistance = moonDistance;
  }

  public AstronomyHourObj moonRadius(Float moonRadius) {
    this.moonRadius = moonRadius;
    return this;
  }

   /**
   * Get moonRadius
   * @return moonRadius
  **/
  @Schema(description = "")
  public Float getMoonRadius() {
    return moonRadius;
  }

  public void setMoonRadius(Float moonRadius) {
    this.moonRadius = moonRadius;
  }

  public AstronomyHourObj moonAzimuth(Float moonAzimuth) {
    this.moonAzimuth = moonAzimuth;
    return this;
  }

   /**
   * Get moonAzimuth
   * @return moonAzimuth
  **/
  @Schema(description = "")
  public Float getMoonAzimuth() {
    return moonAzimuth;
  }

  public void setMoonAzimuth(Float moonAzimuth) {
    this.moonAzimuth = moonAzimuth;
  }

  public AstronomyHourObj moonElevation(Float moonElevation) {
    this.moonElevation = moonElevation;
    return this;
  }

   /**
   * Get moonElevation
   * @return moonElevation
  **/
  @Schema(description = "")
  public Float getMoonElevation() {
    return moonElevation;
  }

  public void setMoonElevation(Float moonElevation) {
    this.moonElevation = moonElevation;
  }

  public AstronomyHourObj moonPhase(MoonPhase moonPhase) {
    this.moonPhase = moonPhase;
    return this;
  }

   /**
   * Get moonPhase
   * @return moonPhase
  **/
  @Schema(description = "")
  public MoonPhase getMoonPhase() {
    return moonPhase;
  }

  public void setMoonPhase(MoonPhase moonPhase) {
    this.moonPhase = moonPhase;
  }

  public AstronomyHourObj moonIllum(Float moonIllum) {
    this.moonIllum = moonIllum;
    return this;
  }

   /**
   * Get moonIllum
   * @return moonIllum
  **/
  @Schema(description = "")
  public Float getMoonIllum() {
    return moonIllum;
  }

  public void setMoonIllum(Float moonIllum) {
    this.moonIllum = moonIllum;
  }

  public AstronomyHourObj moonAge(Float moonAge) {
    this.moonAge = moonAge;
    return this;
  }

   /**
   * Get moonAge
   * @return moonAge
  **/
  @Schema(description = "")
  public Float getMoonAge() {
    return moonAge;
  }

  public void setMoonAge(Float moonAge) {
    this.moonAge = moonAge;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AstronomyHourObj astronomyHourObj = (AstronomyHourObj) o;
    return Objects.equals(this.timestamp, astronomyHourObj.timestamp) &&
        Objects.equals(this.sunDistance, astronomyHourObj.sunDistance) &&
        Objects.equals(this.sunRadius, astronomyHourObj.sunRadius) &&
        Objects.equals(this.sunAzimuth, astronomyHourObj.sunAzimuth) &&
        Objects.equals(this.sunElevation, astronomyHourObj.sunElevation) &&
        Objects.equals(this.moonDistance, astronomyHourObj.moonDistance) &&
        Objects.equals(this.moonRadius, astronomyHourObj.moonRadius) &&
        Objects.equals(this.moonAzimuth, astronomyHourObj.moonAzimuth) &&
        Objects.equals(this.moonElevation, astronomyHourObj.moonElevation) &&
        Objects.equals(this.moonPhase, astronomyHourObj.moonPhase) &&
        Objects.equals(this.moonIllum, astronomyHourObj.moonIllum) &&
        Objects.equals(this.moonAge, astronomyHourObj.moonAge);
  }

  @Override
  public int hashCode() {
    return Objects.hash(timestamp, sunDistance, sunRadius, sunAzimuth, sunElevation, moonDistance, moonRadius, moonAzimuth, moonElevation, moonPhase, moonIllum, moonAge);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AstronomyHourObj {\n");
    
    sb.append("    timestamp: ").append(toIndentedString(timestamp)).append("\n");
    sb.append("    sunDistance: ").append(toIndentedString(sunDistance)).append("\n");
    sb.append("    sunRadius: ").append(toIndentedString(sunRadius)).append("\n");
    sb.append("    sunAzimuth: ").append(toIndentedString(sunAzimuth)).append("\n");
    sb.append("    sunElevation: ").append(toIndentedString(sunElevation)).append("\n");
    sb.append("    moonDistance: ").append(toIndentedString(moonDistance)).append("\n");
    sb.append("    moonRadius: ").append(toIndentedString(moonRadius)).append("\n");
    sb.append("    moonAzimuth: ").append(toIndentedString(moonAzimuth)).append("\n");
    sb.append("    moonElevation: ").append(toIndentedString(moonElevation)).append("\n");
    sb.append("    moonPhase: ").append(toIndentedString(moonPhase)).append("\n");
    sb.append("    moonIllum: ").append(toIndentedString(moonIllum)).append("\n");
    sb.append("    moonAge: ").append(toIndentedString(moonAge)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
