/*
 * Weather Source Astronomy API
 * Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.client.model.AstronomyHourArr;
import io.swagger.client.model.FieldListHourObj;
import io.swagger.client.model.PointObj;
import io.swagger.client.model.TimestampRangeObj;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * Hourly Latitude/Longitude astronomical object
 */
@Schema(description = "Hourly Latitude/Longitude astronomical object")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:28:56.043Z[GMT]")
public class AstronomyPointHourObj {
  @SerializedName("location")
  private PointObj location = null;

  @SerializedName("timestampRange")
  private TimestampRangeObj timestampRange = null;

  @SerializedName("fieldList")
  private FieldListHourObj fieldList = null;

  @SerializedName("astronomy")
  private AstronomyHourArr astronomy = null;

  public AstronomyPointHourObj location(PointObj location) {
    this.location = location;
    return this;
  }

   /**
   * Get location
   * @return location
  **/
  @Schema(required = true, description = "")
  public PointObj getLocation() {
    return location;
  }

  public void setLocation(PointObj location) {
    this.location = location;
  }

  public AstronomyPointHourObj timestampRange(TimestampRangeObj timestampRange) {
    this.timestampRange = timestampRange;
    return this;
  }

   /**
   * Get timestampRange
   * @return timestampRange
  **/
  @Schema(required = true, description = "")
  public TimestampRangeObj getTimestampRange() {
    return timestampRange;
  }

  public void setTimestampRange(TimestampRangeObj timestampRange) {
    this.timestampRange = timestampRange;
  }

  public AstronomyPointHourObj fieldList(FieldListHourObj fieldList) {
    this.fieldList = fieldList;
    return this;
  }

   /**
   * Get fieldList
   * @return fieldList
  **/
  @Schema(required = true, description = "")
  public FieldListHourObj getFieldList() {
    return fieldList;
  }

  public void setFieldList(FieldListHourObj fieldList) {
    this.fieldList = fieldList;
  }

  public AstronomyPointHourObj astronomy(AstronomyHourArr astronomy) {
    this.astronomy = astronomy;
    return this;
  }

   /**
   * Get astronomy
   * @return astronomy
  **/
  @Schema(required = true, description = "")
  public AstronomyHourArr getAstronomy() {
    return astronomy;
  }

  public void setAstronomy(AstronomyHourArr astronomy) {
    this.astronomy = astronomy;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AstronomyPointHourObj astronomyPointHourObj = (AstronomyPointHourObj) o;
    return Objects.equals(this.location, astronomyPointHourObj.location) &&
        Objects.equals(this.timestampRange, astronomyPointHourObj.timestampRange) &&
        Objects.equals(this.fieldList, astronomyPointHourObj.fieldList) &&
        Objects.equals(this.astronomy, astronomyPointHourObj.astronomy);
  }

  @Override
  public int hashCode() {
    return Objects.hash(location, timestampRange, fieldList, astronomy);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AstronomyPointHourObj {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    timestampRange: ").append(toIndentedString(timestampRange)).append("\n");
    sb.append("    fieldList: ").append(toIndentedString(fieldList)).append("\n");
    sb.append("    astronomy: ").append(toIndentedString(astronomy)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
