/*
 * Weather Source Astronomy API
 * Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.client.model.AstronomyDayArr;
import io.swagger.client.model.DateRangeObj;
import io.swagger.client.model.FieldListDayObj;
import io.swagger.client.model.PostcodeObj;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * Daily Postcode astronomical object
 */
@Schema(description = "Daily Postcode astronomical object")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:28:56.043Z[GMT]")
public class AstronomyPostcodeDayObj {
  @SerializedName("location")
  private PostcodeObj location = null;

  @SerializedName("dateRange")
  private DateRangeObj dateRange = null;

  @SerializedName("fieldList")
  private FieldListDayObj fieldList = null;

  @SerializedName("astronomy")
  private AstronomyDayArr astronomy = null;

  public AstronomyPostcodeDayObj location(PostcodeObj location) {
    this.location = location;
    return this;
  }

   /**
   * Get location
   * @return location
  **/
  @Schema(required = true, description = "")
  public PostcodeObj getLocation() {
    return location;
  }

  public void setLocation(PostcodeObj location) {
    this.location = location;
  }

  public AstronomyPostcodeDayObj dateRange(DateRangeObj dateRange) {
    this.dateRange = dateRange;
    return this;
  }

   /**
   * Get dateRange
   * @return dateRange
  **/
  @Schema(required = true, description = "")
  public DateRangeObj getDateRange() {
    return dateRange;
  }

  public void setDateRange(DateRangeObj dateRange) {
    this.dateRange = dateRange;
  }

  public AstronomyPostcodeDayObj fieldList(FieldListDayObj fieldList) {
    this.fieldList = fieldList;
    return this;
  }

   /**
   * Get fieldList
   * @return fieldList
  **/
  @Schema(required = true, description = "")
  public FieldListDayObj getFieldList() {
    return fieldList;
  }

  public void setFieldList(FieldListDayObj fieldList) {
    this.fieldList = fieldList;
  }

  public AstronomyPostcodeDayObj astronomy(AstronomyDayArr astronomy) {
    this.astronomy = astronomy;
    return this;
  }

   /**
   * Get astronomy
   * @return astronomy
  **/
  @Schema(required = true, description = "")
  public AstronomyDayArr getAstronomy() {
    return astronomy;
  }

  public void setAstronomy(AstronomyDayArr astronomy) {
    this.astronomy = astronomy;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AstronomyPostcodeDayObj astronomyPostcodeDayObj = (AstronomyPostcodeDayObj) o;
    return Objects.equals(this.location, astronomyPostcodeDayObj.location) &&
        Objects.equals(this.dateRange, astronomyPostcodeDayObj.dateRange) &&
        Objects.equals(this.fieldList, astronomyPostcodeDayObj.fieldList) &&
        Objects.equals(this.astronomy, astronomyPostcodeDayObj.astronomy);
  }

  @Override
  public int hashCode() {
    return Objects.hash(location, dateRange, fieldList, astronomy);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AstronomyPostcodeDayObj {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    dateRange: ").append(toIndentedString(dateRange)).append("\n");
    sb.append("    fieldList: ").append(toIndentedString(fieldList)).append("\n");
    sb.append("    astronomy: ").append(toIndentedString(astronomy)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
