/*
 * Weather Source Astronomy API
 * Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.client.model.Grid;
import io.swagger.client.model.SamplePoints;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.IOException;
/**
 * A Designated Market Area location metadata object
 */
@Schema(description = "A Designated Market Area location metadata object")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-29T18:28:56.043Z[GMT]")
public class DmaObj {
  @SerializedName("dmaId")
  private Integer dmaId = null;

  @SerializedName("dmaName")
  private String dmaName = null;

  @SerializedName("timezone")
  private String timezone = null;

  @SerializedName("population")
  private Integer population = null;

  @SerializedName("countryCode")
  private String countryCode = null;

  @SerializedName("countryName")
  private String countryName = null;

  @SerializedName("samplePoints")
  private SamplePoints samplePoints = null;

  @SerializedName("grid")
  private Grid grid = null;

  public DmaObj dmaId(Integer dmaId) {
    this.dmaId = dmaId;
    return this;
  }

   /**
   * Get dmaId
   * @return dmaId
  **/
  @Schema(required = true, description = "")
  public Integer getDmaId() {
    return dmaId;
  }

  public void setDmaId(Integer dmaId) {
    this.dmaId = dmaId;
  }

  public DmaObj dmaName(String dmaName) {
    this.dmaName = dmaName;
    return this;
  }

   /**
   * Get dmaName
   * @return dmaName
  **/
  @Schema(required = true, description = "")
  public String getDmaName() {
    return dmaName;
  }

  public void setDmaName(String dmaName) {
    this.dmaName = dmaName;
  }

  public DmaObj timezone(String timezone) {
    this.timezone = timezone;
    return this;
  }

   /**
   * Get timezone
   * @return timezone
  **/
  @Schema(required = true, description = "")
  public String getTimezone() {
    return timezone;
  }

  public void setTimezone(String timezone) {
    this.timezone = timezone;
  }

  public DmaObj population(Integer population) {
    this.population = population;
    return this;
  }

   /**
   * Get population
   * @return population
  **/
  @Schema(required = true, description = "")
  public Integer getPopulation() {
    return population;
  }

  public void setPopulation(Integer population) {
    this.population = population;
  }

  public DmaObj countryCode(String countryCode) {
    this.countryCode = countryCode;
    return this;
  }

   /**
   * Get countryCode
   * @return countryCode
  **/
  @Schema(required = true, description = "")
  public String getCountryCode() {
    return countryCode;
  }

  public void setCountryCode(String countryCode) {
    this.countryCode = countryCode;
  }

  public DmaObj countryName(String countryName) {
    this.countryName = countryName;
    return this;
  }

   /**
   * Get countryName
   * @return countryName
  **/
  @Schema(required = true, description = "")
  public String getCountryName() {
    return countryName;
  }

  public void setCountryName(String countryName) {
    this.countryName = countryName;
  }

  public DmaObj samplePoints(SamplePoints samplePoints) {
    this.samplePoints = samplePoints;
    return this;
  }

   /**
   * Get samplePoints
   * @return samplePoints
  **/
  @Schema(required = true, description = "")
  public SamplePoints getSamplePoints() {
    return samplePoints;
  }

  public void setSamplePoints(SamplePoints samplePoints) {
    this.samplePoints = samplePoints;
  }

  public DmaObj grid(Grid grid) {
    this.grid = grid;
    return this;
  }

   /**
   * Get grid
   * @return grid
  **/
  @Schema(required = true, description = "")
  public Grid getGrid() {
    return grid;
  }

  public void setGrid(Grid grid) {
    this.grid = grid;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DmaObj dmaObj = (DmaObj) o;
    return Objects.equals(this.dmaId, dmaObj.dmaId) &&
        Objects.equals(this.dmaName, dmaObj.dmaName) &&
        Objects.equals(this.timezone, dmaObj.timezone) &&
        Objects.equals(this.population, dmaObj.population) &&
        Objects.equals(this.countryCode, dmaObj.countryCode) &&
        Objects.equals(this.countryName, dmaObj.countryName) &&
        Objects.equals(this.samplePoints, dmaObj.samplePoints) &&
        Objects.equals(this.grid, dmaObj.grid);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dmaId, dmaName, timezone, population, countryCode, countryName, samplePoints, grid);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DmaObj {\n");
    
    sb.append("    dmaId: ").append(toIndentedString(dmaId)).append("\n");
    sb.append("    dmaName: ").append(toIndentedString(dmaName)).append("\n");
    sb.append("    timezone: ").append(toIndentedString(timezone)).append("\n");
    sb.append("    population: ").append(toIndentedString(population)).append("\n");
    sb.append("    countryCode: ").append(toIndentedString(countryCode)).append("\n");
    sb.append("    countryName: ").append(toIndentedString(countryName)).append("\n");
    sb.append("    samplePoints: ").append(toIndentedString(samplePoints)).append("\n");
    sb.append("    grid: ").append(toIndentedString(grid)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
