/*
 * Weather Source Astronomy API
 * Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import io.swagger.v3.oas.annotations.media.Schema;
import com.google.gson.annotations.SerializedName;
import java.io.IOException;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;

/**
 * The Moon Phase as a string.
 */
@JsonAdapter(MoonPhase.Adapter.class)
public enum MoonPhase {
  NEW_MOON("New Moon"),
  FIRST_QUARTER("First Quarter"),
  FULL_MOON("Full Moon"),
  LAST_QUARTER("Last Quarter"),
  WAXING_CRESCENT("Waxing Crescent"),
  WAXING_GIBBOUS("Waxing Gibbous"),
  WANING_GIBBOUS("Waning Gibbous"),
  WANING_CRESCENT("Waning Crescent");

  private String value;

  MoonPhase(String value) {
    this.value = value;
  }

  public String getValue() {
    return value;
  }

  @Override
  public String toString() {
    return String.valueOf(value);
  }

  public static MoonPhase fromValue(String text) {
    for (MoonPhase b : MoonPhase.values()) {
      if (String.valueOf(b.value).equals(text)) {
        return b;
      }
    }
    return null;
  }

  public static class Adapter extends TypeAdapter<MoonPhase> {
    @Override
    public void write(final JsonWriter jsonWriter, final MoonPhase enumeration) throws IOException {
      jsonWriter.value(enumeration.getValue());
    }

    @Override
    public MoonPhase read(final JsonReader jsonReader) throws IOException {
      String value = jsonReader.nextString();
      return MoonPhase.fromValue(String.valueOf(value));
    }
  }
}
