/*
 * Weather Source Astronomy API
 * Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.api;

import io.swagger.client.ApiException;
import io.swagger.client.model.AstronomyPointDayObj;
import io.swagger.client.model.AstronomyPointHourObj;
import io.swagger.client.model.ErrorObj;
import org.threeten.bp.LocalDate;
import org.threeten.bp.OffsetDateTime;
import org.junit.Test;
import org.junit.Ignore;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for PointsApi
 */
@Ignore
public class PointsApiTest {

    private final PointsApi api = new PointsApi();

    /**
     * A day of astronomy data for a Latitude/Longitude point.
     *
     * Returns a single day of astronomical data for a Latitude/Longitude point.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeDaysDateGetTest() throws ApiException {
        Float latitude = null;
        Float longitude = null;
        LocalDate date = null;
        List<String> fields = null;
        String unitScale = null;
        AstronomyPointDayObj response = api.pointsLatitudelongitudeDaysDateGet(latitude, longitude, date, fields, unitScale);

        // TODO: test validations
    }
    /**
     * A contiguous range of daily astronomy for a Latitude/Longitude point.
     *
     * Returns a contiguous range of daily astronomical data for a Latitude/Longitude point.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeDaysDateStartdateEndGetTest() throws ApiException {
        Float latitude = null;
        Float longitude = null;
        LocalDate dateStart = null;
        LocalDate dateEnd = null;
        List<String> fields = null;
        String unitScale = null;
        AstronomyPointDayObj response = api.pointsLatitudelongitudeDaysDateStartdateEndGet(latitude, longitude, dateStart, dateEnd, fields, unitScale);

        // TODO: test validations
    }
    /**
     * An hour of astronomy data for a Latitude/Longitude point.
     *
     * Returns a single hour of astronomical data for a Latitude/Longitude point.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeHoursTimestampGetTest() throws ApiException {
        Float latitude = null;
        Float longitude = null;
        OffsetDateTime timestamp = null;
        List<String> fields = null;
        String unitScale = null;
        AstronomyPointHourObj response = api.pointsLatitudelongitudeHoursTimestampGet(latitude, longitude, timestamp, fields, unitScale);

        // TODO: test validations
    }
    /**
     * A contiguous range of hourly astronomy for a Latitude/Longitude point.
     *
     * Returns a contiguous range of hourly astronomical data for a Latitude/Longitude point.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void pointsLatitudelongitudeHoursTimestampStarttimestampEndGetTest() throws ApiException {
        Float latitude = null;
        Float longitude = null;
        OffsetDateTime timestampStart = null;
        OffsetDateTime timestampEnd = null;
        List<String> fields = null;
        String unitScale = null;
        AstronomyPointHourObj response = api.pointsLatitudelongitudeHoursTimestampStarttimestampEndGet(latitude, longitude, timestampStart, timestampEnd, fields, unitScale);

        // TODO: test validations
    }
}
