/*
 * Weather Source Astronomy API
 * Daily and hourly astronomical data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Astronomy API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.api;

import io.swagger.client.ApiException;
import io.swagger.client.model.AstronomyPostcodeDayObj;
import io.swagger.client.model.AstronomyPostcodeHourObj;
import io.swagger.client.model.ErrorObj;
import org.threeten.bp.LocalDate;
import org.threeten.bp.OffsetDateTime;
import org.junit.Test;
import org.junit.Ignore;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for PostcodesApi
 */
@Ignore
public class PostcodesApiTest {

    private final PostcodesApi api = new PostcodesApi();

    /**
     * A day of astronomy data for a postcode.
     *
     * Returns a single day of astronomical data for a postcode.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void postcodesPostcodecountryCodeDaysDateGetTest() throws ApiException {
        String postcode = null;
        String countryCode = null;
        LocalDate date = null;
        List<String> fields = null;
        String unitScale = null;
        AstronomyPostcodeDayObj response = api.postcodesPostcodecountryCodeDaysDateGet(postcode, countryCode, date, fields, unitScale);

        // TODO: test validations
    }
    /**
     * A contiguous range of daily astronomy for a postcode.
     *
     * Returns a contiguous range of daily astronomical data for a postcode.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void postcodesPostcodecountryCodeDaysDateStartdateEndGetTest() throws ApiException {
        String postcode = null;
        String countryCode = null;
        LocalDate dateStart = null;
        LocalDate dateEnd = null;
        List<String> fields = null;
        String unitScale = null;
        AstronomyPostcodeDayObj response = api.postcodesPostcodecountryCodeDaysDateStartdateEndGet(postcode, countryCode, dateStart, dateEnd, fields, unitScale);

        // TODO: test validations
    }
    /**
     * An hour of astronomy data for a postcode.
     *
     * Returns a single hour of astronomical data for a postcode.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void postcodesPostcodecountryCodeHoursTimestampGetTest() throws ApiException {
        String postcode = null;
        String countryCode = null;
        OffsetDateTime timestamp = null;
        List<String> fields = null;
        String unitScale = null;
        AstronomyPostcodeHourObj response = api.postcodesPostcodecountryCodeHoursTimestampGet(postcode, countryCode, timestamp, fields, unitScale);

        // TODO: test validations
    }
    /**
     * A contiguous range of hourly astronomy for a postcode.
     *
     * Returns a contiguous range of hourly astronomical data for a postcode.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void postcodesPostcodecountryCodeHoursTimestampStarttimestampEndGetTest() throws ApiException {
        String postcode = null;
        String countryCode = null;
        OffsetDateTime timestampStart = null;
        OffsetDateTime timestampEnd = null;
        List<String> fields = null;
        String unitScale = null;
        AstronomyPostcodeHourObj response = api.postcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet(postcode, countryCode, timestampStart, timestampEnd, fields, unitScale);

        // TODO: test validations
    }
}
